package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFireHoseBoxMapper;
import com.ruoyi.project.patrol.fire.domain.TFireHoseBox;
import com.ruoyi.project.patrol.fire.service.ITFireHoseBoxService;

/**
 * 消防水带箱检查记录Service业务层处理
 * 
 * @author admin
 * @date 2023-10-31
 */
@Service
public class TFireHoseBoxServiceImpl implements ITFireHoseBoxService 
{
    @Autowired
    private TFireHoseBoxMapper tFireHoseBoxMapper;

    /**
     * 查询消防水带箱检查记录
     * 
     * @param id 消防水带箱检查记录主键
     * @return 消防水带箱检查记录
     */
    @Override
    public TFireHoseBox selectTFireHoseBoxById(Long id)
    {
        return tFireHoseBoxMapper.selectTFireHoseBoxById(id);
    }

    /**
     * 查询消防水带箱检查记录列表
     * 
     * @param tFireHoseBox 消防水带箱检查记录
     * @return 消防水带箱检查记录
     */
    @Override
    public List<TFireHoseBox> selectTFireHoseBoxList(TFireHoseBox tFireHoseBox)
    {
        return tFireHoseBoxMapper.selectTFireHoseBoxList(tFireHoseBox);
    }

    /**
     * 新增消防水带箱检查记录
     * 
     * @param tFireHoseBox 消防水带箱检查记录
     * @return 结果
     */
    @Override
    public int insertTFireHoseBox(TFireHoseBox tFireHoseBox)
    {
        return tFireHoseBoxMapper.insertTFireHoseBox(tFireHoseBox);
    }

    /**
     * 修改消防水带箱检查记录
     * 
     * @param tFireHoseBox 消防水带箱检查记录
     * @return 结果
     */
    @Override
    public int updateTFireHoseBox(TFireHoseBox tFireHoseBox)
    {
        return tFireHoseBoxMapper.updateTFireHoseBox(tFireHoseBox);
    }

    /**
     * 批量删除消防水带箱检查记录
     * 
     * @param ids 需要删除的消防水带箱检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTFireHoseBoxByIds(Long[] ids)
    {
        return tFireHoseBoxMapper.deleteTFireHoseBoxByIds(ids);
    }

    /**
     * 删除消防水带箱检查记录信息
     * 
     * @param id 消防水带箱检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTFireHoseBoxById(Long id)
    {
        return tFireHoseBoxMapper.deleteTFireHoseBoxById(id);
    }
}
